from PyQt5.QtCore import *

__all__ = ['EmittingStream']

class EmittingStream(QObject):
    '''Vypis streamu do textoveho pole QT
    '''
    textWritten = pyqtSignal(str)

    def write(self, text):
        '''Vypise stream do textoveho pole QT
        '''
        self.textWritten.emit(str(text))
